MediaWiki 1.29.0 Finalversion erschienen - stabil und mit Fehlerbehebungen + Features

MediaWiki 1.29.0 Finalversion erschienen - stabil und mit Fehlerbehebungen + Features

Hallo lieber Blogleser! Seit mehreren Tagen wurde hier nichts mehr publiziert, was mitunter fehlenden CMS-Updates und anderweitiger Portfolio-Arbeit geschuldet war. Aber heute habe ich neue Updates. Im Portfolio ist meinerseits täglich etwas los, doch nicht aus allem muss ich Blogposts produzieren. Manche CMS-Updates werden routine-mässig durchgeführt, ohne dass ich sie verbloggt habe.

MediaWiki als 1.29.0 Finalversion draussen

MediaWiki 1.29.0 als stabile Finalversion war neulich erschienen, wie du unter https://www.mediawiki.org/wiki/MediaWiki_1.29 entnehmen kannst. Das grosse Update installierte ich eben bei meinem MediaWiki in der Version unter https://liebrecht-projekte.de/cms/mediawiki. Der MediaWiki funktioniert sowohl im Rootverzeichnis einer Hauptdomain, auf einer Subdomain oder wie bei mir im Unterverzeichnis.

Ausserdem gibt es den MediaWiki inzwischen in 350 verschiedenen Sprachen, sodass wirklich ein jeder Landsmann nicht zu kurz kommen wird. Installationstechnisch ist es nicht sehr kompliziert und falls doch, wende dich an mich. Ich werde dir bei der Installation gerne unter die Arme greifen.

Im Folgenden zeige ich dir noch das Updaten einer MediaWiki-Installation, wie ich es heute durchführte.

Update auf MediaWiki 1.29.0 – wie geht das?

Lade dir die letzte MediaWiki-Version von https://mediawiki.org herunter, entpacke es lokal und packe alle Dateien sowie Verzeichnisse zum ZIP-Archiv namens 1290.zip. Du arbeitest auch dieses Mal mit der Kommandozeile und FTP, dem Tool BitVise oder Filezilla, je nachdem, was dein Standard-FTP-Client ist.

Sichere bitte dieses Mal die MySQL-Datenbank und lade das vorher gepackte ZIP-Archiv ins Rootverzeichnis deiner Installation hoch.

Logge dich mit Bitvise in SSH ein und navigiere zum Rootverzeichnis deiner Installation. Von dort aus entpackst du das ZIP-Archiv dermassen.

unzip 1290.zip

Danach löschst du das Archiv wieder so.

rm -rf 1290.zip

Als Nächstest muss du den Composer updaten. Dieser befindet sich als Datei composer.phar im Rootverzichnis, wo auch die Config-Datei LocalSettings.php dauerhaften Platz eingenommen hatte. Composer wird so aktualisiert.

php composer.phar update

Dann musst du zum Wartungsverzeichnis mittels Konsole so navigieren.

cd maintenance

Von dort aus führst du diesen SSH-Befehl aus.

php udpate.php

Deine Datenbank wird aktualisiert und du kannst es dir anschliessend im Frontend deiner MediaWiki-Installation mal ansehen. Logge dich in MediaWiki ein und hänge an das Ende der URL im Browser dieses an.

/Spezial:Version

Dahinter lässt du dir die MediaWiki-Version anzeigen. Wenn es nun 1.29.0 ist, wurde das Upgrade erfolgreich durchgeführt.

Ab dann freie Bahn zum Posten in deinem MediaWiki.

Was gibt es Neues beim MediaWiki 1.29.0?

Ich zeige dir mal einen Screenshot von der Seite mit MediaWiki 1.29.0. Auf dem Bild siehst du, was alles neu ist und noch mehr kannst du hinter dem ganz oben gesetzten Link nachlesen.

mediawiki-1-29-0-news-features-bugfixes-internetblogger-de
Neues in MediaWiki 1.29.0

Es wurde an allen Ecken des MediaWikis etwas gemacht. Es sind nicht nur Fehlerbehebungen, sondern auch ein paar neue Funktionen hinzugekommen.

Wichtiger Hinweis

Bitte benenne composer.phar nach “composer” um, um deine Installation ftp-technisch etwas sicherer zu machen.

MediaWiki-Upgrade dieses Mal verlief bei mir super und ich arbeite nach der Standard-Methode, die ich erlernt habe. Es klappt damit so gut wie immer und es muss schon etwas mit dem Composer sein, was das Upgrade verhindert. Falls deine MediaWiki-Installation vorher ging, wird sie auch nachher gehen. Schliesslich sind die Entwickler dann gefragt und sie testen solche Updates für uns User im Vorfeld.

BlueSpice MediaWiki

Dieser wird erst ab MediaWiki 1.30, welcher derzeit nur als Alpha-Version vorliegt, kompatibel gemacht. Dann werde ich meine BlueSpice-Installation aktualisieren können. Derzeit ist da nichts kompatibel und es würde gleich beim BlueSpiceSkin Probleme im Frontend geben. Daher, wenn du BlueSpice einsetzen willst, musst du den MediaWiki 1.27.2 nehmen. Normaler Wiki geht direkt mit MediaWiki 1.29.0 sehr gut.

Das war mein heutiges MediaWiki-Update und bei Fragen hierzu ist es wie gehabt, wobei du mich hier drunter gerne feedbacken kannst.

  1. Welche Update-Erfahrungen hattest du dieses Mal?
  2. Was hindert dich daran, selbst MediaWiki-Updates zu machen?
  3. Wo liegen bei dir die Schwierigkeiten beim Aktualisieren?

Freue mich auf dein Feedback.

by Alexander Liebrecht

Bildquellen by https://liebrecht-projekte.de, https://mediawiki.org

Leave a reply

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.

This Blog will give regular Commentators DoFollow Status. Implemented from IT Blögg